Module javafx.graphics
Package javafx.application

## Class Preloader.ProgressNotification

- java.lang.Object
- - javafx.application.Preloader.ProgressNotification

- All Implemented Interfaces:
    `Preloader.PreloaderNotification`
  Enclosing class:
    Preloader

      public static class Preloader.ProgressNotification
      extends Object
      implements Preloader.PreloaderNotification

  Preloader notification that reports progress. This is typically used to report progress while downloading and initializing the application.
  Since:
    JavaFX 2.0

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProgressNotification​(double progress)` | Constructs a progress notification.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `double` | `getProgress()` | Retrieves the progress for this notification.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProgressNotification

          public ProgressNotification​(double progress)

      Constructs a progress notification.
      Parameters:
        `progress` - a value indicating the progress. A negative value for progress indicates that the progress is indeterminate. A value between 0 and 1 indicates the amount of progress. Any value greater than 1 is interpreted as 1.

  - ### Method Detail

    - #### getProgress

          public double getProgress()

      Retrieves the progress for this notification. Progress is in the range of 0 to 1, or is negative for indeterminate progress.
      Returns:
        the progress